SDL_ISCOLORSPACE_MATRIX_BT601(3)

NAME
SDL_ISCOLORSPACE_MATRIX_BT601 - A macro to determine if an SDL_Colorspace uses BT601 (or BT470BG) matrix coefficients.

SYNOPSIS
#include <SDL3/SDL_pixels.h>

#define SDL_ISCOLORSPACE_MATRIX_BT601(cspace)        (SDL_COLORSPACEMATRIX(cspace) == SDL_MATRIX_COEFFICIENTS_BT601 || SDL_COLORSPACEMATRIX(cspace) == SDL_MATRIX_COEFFICIENTS_BT470BG)

DESCRIPTION
Note that this macro double-evaluates its parameter, so do not use expressions with side-effects here.

MACRO PARAMETERS

cspace
    an SDL_Colorspace to check.

RETURN VALUE
Returns true if BT601 or BT470BG, false otherwise.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.